Package org.eclipse.m2m.atl.adt.ui.preferences

# Class ProfileStore

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.ProfileStore

public class ProfileStore extends Object
Can load/store profiles from/to profilesKey

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENCODING`
The default encoding to use
`protected static final String`
`VERSION_KEY_SUFFIX`

## Constructor Summary

Constructors
Constructor
Description
`ProfileStore(String profilesKey)`

## Method Summary

Modifier and Type
Method
Description
`List<ProfileManager.Profile>`
`readProfiles(org.eclipse.core.runtime.preferences.IScopeContext scope)`
`List<ProfileManager.Profile>`
`readProfilesFromFile(File file)`
Read the available profiles from the internal XML file and return them as collection or `null` if the file is not a profile file.
`static List<ProfileManager.Profile>`
`readProfilesFromStream(InputSource inputSource)`
Load profiles from a XML stream and add them to a map or `null` if the source is not a profile store.
`List<ProfileManager.Profile>`
`readProfilesFromString(String profiles)`
`void`
`writeProfiles(Collection<ProfileManager.Profile> profiles, org.eclipse.core.runtime.preferences.IScopeContext instanceScope)`
`void`
`writeProfilesToFile(Collection<ProfileManager.Profile> profiles, File file, String encoding)`
Write the available profiles to the internal XML file.
`static void`
`writeProfilesToStream(Collection<ProfileManager.Profile> profiles, OutputStream stream, String encoding)`
Save profiles to an XML stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENCODING

public static final String ENCODING
The default encoding to use

See Also:
  - Constant Field Values

### VERSION_KEY_SUFFIX

protected static final String VERSION_KEY_SUFFIX

See Also:
  - Constant Field Values

## Constructor Details

### ProfileStore

public ProfileStore(String profilesKey)

## Method Details

### readProfiles

public List<ProfileManager.Profile> readProfiles(org.eclipse.core.runtime.preferences.IScopeContext scope) throws org.eclipse.core.runtime.CoreException

Returns:
  Returns the collection of profiles currently stored in the preference store or `null` if the loading failed. The elements are of type `ProfileManager.CustomProfile` and are all updated to the latest version.
Throws:
  `org.eclipse.core.runtime.CoreException`

### writeProfiles

public void writeProfiles(Collection<ProfileManager.Profile> profiles, org.eclipse.core.runtime.preferences.IScopeContext instanceScope) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### readProfilesFromString

public List<ProfileManager.Profile> readProfilesFromString(String profiles) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### readProfilesFromFile

public List<ProfileManager.Profile> readProfilesFromFile(File file) throws org.eclipse.core.runtime.CoreException
Read the available profiles from the internal XML file and return them as collection or `null` if the file is not a profile file.

Parameters:
  `file` - The file to read from
Returns:
  returns a list of `CustomProfile` or `null`
Throws:
  `org.eclipse.core.runtime.CoreException`

### readProfilesFromStream

public static List<ProfileManager.Profile> readProfilesFromStream(InputSource inputSource) throws org.eclipse.core.runtime.CoreException
Load profiles from a XML stream and add them to a map or `null` if the source is not a profile store.

Parameters:
  `inputSource` - The input stream
Returns:
  returns a list of `CustomProfile` or `null`
Throws:
  `org.eclipse.core.runtime.CoreException`

### writeProfilesToFile

public void writeProfilesToFile(Collection<ProfileManager.Profile> profiles, File file, String encoding) throws org.eclipse.core.runtime.CoreException
Write the available profiles to the internal XML file.

Parameters:
  `profiles` - List of `CustomProfile`
  `file` - File to write
  `encoding` - the encoding to use
Throws:
  `org.eclipse.core.runtime.CoreException`

### writeProfilesToStream

public static void writeProfilesToStream(Collection<ProfileManager.Profile> profiles, OutputStream stream, String encoding) throws org.eclipse.core.runtime.CoreException
Save profiles to an XML stream

Parameters:
  `profiles` - the list of `CustomProfile`
  `stream` - the stream to write to
  `encoding` - the encoding to use
Throws:
  `org.eclipse.core.runtime.CoreException`